/*
 * xhtmltag.h
 * xhtmlite
 *
 * by Doug Wolfe
 * doug@wolfescience.com 
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>
void
xhtmlite_attach_textview_events(GtkWidget *textview, GtkWidget *statusbar) ;

GtkWidget* 
xhtmlite_create_default_toolbar_edit(GtkWidget *parent_window);

GtkWidget* 
xhtmlite_create_default_toolbar_font(GtkWidget *parent_window);

GtkWidget* 
xhtmlite_toolbutton_cut();

GtkWidget* 
xhtmlite_toolbutton_copy();

GtkWidget* 
xhtmlite_toolbutton_paste();

GtkWidget* 
xhtmlite_toolbutton_delete();

GtkWidget* 
xhtmlite_toolbutton_clear_formatting();

GtkWidget* 
xhtmlite_toolbutton_undo();

GtkWidget* 
xhtmlite_toolbutton_redo();

GtkWidget* 
xhtmlite_toggletoolbutton_bold();

GtkWidget* 
xhtmlite_toggletoolbutton_italic();

GtkWidget* 
xhtmlite_toggletoolbutton_underline();

GtkWidget* 
xhtmlite_toggletoolbutton_strike();

GtkWidget* 
xhtmlite_toggletoolbutton_superscript();

GtkWidget* 
xhtmlite_toggletoolbutton_subscript();

GtkWidget* 
xhtmlite_toolbutton_symbol(GtkWidget *parent_window);

GtkWidget* 
xhtmlite_toolbutton_inline_image(GtkWidget *parent_window);

GtkWidget* 
xhtmlite_combobox_font(GtkWidget *parent_window);

GtkWidget* 
xhtmlite_combobox_fontsize_absolute(GtkWidget *parent_window);

GtkWidget* 
xhtmlite_combobox_fontsize_pt(GtkWidget *parent_window);

GtkWidget* 
xhtmlite_toolbutton_fontcolor();

GtkWidget* 
xhtmlite_toolbutton_highlightcolor();

GtkWidget* 
xhtmlite_toolbutton_insert_link();
