<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xs:template-name>Answers List</xs:template-name>
<xs:template-description>An html template that displays all the topics and &lt;b&gt;answers&lt;/b&gt;, so the board can be printed from a web browser.</xs:template-description>
<xs:template-version>1.0</xs:template-version>
<xs:template-image></xs:template-image>

<xsl:output method="html"/>
<xsl:template match="byojeopardy">
<html>
<head>
<title><xsl:text>BYOJeopardy Answers -- </xsl:text><xsl:value-of select="$OutputFileName"/></title>
</head>

<body>
<div align="center"><h2><xsl:value-of select="$OutputFileName"/></h2></div>
     <table align="left" cellspacing="5">
            <xsl:for-each select="topic">
            <tr>
                <th colspan="3" align="left"><xsl:value-of select="topic_name"/></th>
            </tr>
            
            <xsl:for-each select="value">
                 <tr>
                 <td width="20"></td>
                 <td><xsl:value-of select="amount"/></td>
                 <td><xsl:value-of disable-output-escaping="yes" select="answer"/></td>
                 </tr>
            </xsl:for-each>
            
            <tr />
            </xsl:for-each>
   </table>

</body>
</html>
</xsl:template>
</xsl:stylesheet>
